Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.table
Class DefaultCellRenderer

    java.lang.Object
      com.tonbeller.wcf.table.DefaultCellRenderer

All Implemented Interfaces:
  CellRenderer

public class DefaultCellRenderer
extends java.lang.Object
implements CellRenderer

a renderer that renders TableRow values using the Formatter instance for this request.

See Also:
  `com.tonbeller.xoplon.format.Formatter`

Nested Class Summary
`static class` | `DefaultCellRenderer.Alignment`

Constructor Summary
`DefaultCellRenderer()`

Method Summary
`java.lang.String` | `getFormat()` format string for formatter
`java.lang.String` | `getType()` data type for formatter
`void` | `render(RequestContext context, org.w3c.dom.Element td, java.lang.Object value)`
`void` | `setAlignment(DefaultCellRenderer.Alignment alignment)` set column alignment
`void` | `setFormat(java.lang.String newFormat)` format string for formatter
`void` | `setType(java.lang.String newType)` data type for formatter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCellRenderer

    public DefaultCellRenderer()

Method Detail

### render

    public void render(RequestContext context,
                       org.w3c.dom.Element td,
                       java.lang.Object value)
                throws FormatException

  Specified by:
    `render` in interface `CellRenderer`
  Throws:
    `FormatException`

### setFormat

    public void setFormat(java.lang.String newFormat)

  format string for formatter

  See Also:
    `com.tonbeller.xoplon.format.FormatHandler`

### getFormat

    public java.lang.String getFormat()

  format string for formatter

  See Also:
    `com.tonbeller.xoplon.format.FormatHandler`

### setType

    public void setType(java.lang.String newType)

  data type for formatter

  See Also:
    `com.tonbeller.xoplon.format.FormatHandler`

### getType

    public java.lang.String getType()

  data type for formatter

  See Also:
    `com.tonbeller.xoplon.format.FormatHandler`

### setAlignment

    public void setAlignment(DefaultCellRenderer.Alignment alignment)

  set column alignment

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD